function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 49);

T = Mod_borrconst_slack_sym_iterparam.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(22) = (-(1/(y(37)*4)));
T(23) = getPowerDeriv(y(3),params(17),1);
T(24) = 1/y(92);
T(25) = 1/params(8)*getPowerDeriv(y(30)/params(8),params(8),1);
T(26) = getPowerDeriv(y(31),params(8),1);
T(27) = 1/(1-params(8))*getPowerDeriv(y(34)/(1-params(8)),1-params(8),1);
T(28) = getPowerDeriv(y(35),1-params(8),1);
T(29) = 1/(steady_state(11))*getPowerDeriv(y(37)/(steady_state(11)),params(11),1);
T(30) = T(14)*T(29);
T(31) = getPowerDeriv(T(16),1-params(17),1);
T(32) = T(30)*T(31);
T(33) = (-((-(y(33)*4))/(y(37)*4*y(37)*4)));
T(34) = getPowerDeriv(y(39),(-1),1);
T(35) = (-(params(9)*getPowerDeriv(y(41),params(6)-1,1)));
T(36) = (-((1-params(9))*T(35)));
T(37) = getPowerDeriv((1-params(9))/T(12),1/(params(6)-1),1);
T(38) = params(9)*getPowerDeriv(y(41),params(6),1);
T(39) = 1/params(4)*getPowerDeriv(y(41),params(10),1);
T(40) = T(31)*T(15)*T(39);
T(41) = (-y(29))/(y(92)*y(92));
T(42) = params(4)*params(9)*getPowerDeriv(y(92),params(6),1);
T(43) = params(4)*params(9)*getPowerDeriv(y(92),params(6)-1,1);
T(44) = getPowerDeriv(y(12),params(18),1);
T(45) = T(19)*1/(steady_state(28))*getPowerDeriv(y(54)/(steady_state(28)),(1-params(18))*(-params(12)),1);
T(46) = (-(1-params(15)))/(y(57)*y(57));
T(47) = (-(1-params(15)))/(y(95)*y(95));
T(48) = (-(1-params(15)))/(y(58)*y(58));
T(49) = (-(1-params(15)))/(y(96)*y(96));

end
