function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = Mod_borrconst_slack_sym_iterparam.static_resid_tt(T, y, x, params);
end
residual = zeros(64, 1);
lhs = y(1)+y(2);
rhs = y(2)*y(3)/y(15)+y(4)*y(5)+(1-y(12))*y(11);
residual(1) = lhs - rhs;
lhs = T(1);
rhs = T(1)*params(4)*T(2);
residual(2) = lhs - rhs;
lhs = y(4)*T(1);
rhs = params(2)*y(5)^params(1);
residual(3) = lhs - rhs;
lhs = y(7)*T(1);
rhs = y(19)*T(3)+params(4)*y(7)*T(1);
residual(4) = lhs - rhs;
lhs = y(31);
rhs = y(1)-y(1)*params(15);
residual(5) = lhs - rhs;
lhs = y(2)*y(3)/y(15)+y(6);
rhs = y(2)+y(8)*y(9);
residual(6) = lhs - rhs;
lhs = T(4);
rhs = T(4)*T(2)*params(5)+y(3)*y(10);
residual(7) = lhs - rhs;
lhs = y(8)*T(4);
rhs = params(2)*y(9)^params(1);
residual(8) = lhs - rhs;
lhs = y(7)*T(4);
rhs = y(19)/y(14)+T(4)*y(7)*params(5)+y(10)*y(20)*y(55)*y(56);
residual(9) = lhs - rhs;
lhs = y(32);
rhs = y(6)-params(15)*y(6);
residual(10) = lhs - rhs;
lhs = y(4);
rhs = y(12)*params(8)*y(11)/y(5);
residual(11) = lhs - rhs;
lhs = y(8);
rhs = y(12)*(1-params(8))*y(11)/y(9);
residual(12) = lhs - rhs;
lhs = y(12);
rhs = T(5)*T(6);
residual(13) = lhs - rhs;
lhs = y(22);
rhs = T(7)*T(8);
residual(14) = lhs - rhs;
lhs = y(16);
rhs = (params(6)-1)/params(6)*y(21)*y(17);
residual(15) = lhs - rhs;
lhs = y(16);
rhs = y(12)*y(11)/y(31)+y(16)*params(4)*params(9)*T(9);
residual(16) = lhs - rhs;
lhs = y(17);
rhs = y(11)/y(31)+y(17)*params(4)*params(9)*T(10);
residual(17) = lhs - rhs;
lhs = y(21);
rhs = ((1-params(9))/(1-params(9)*T(10)))^(1/(params(6)-1));
residual(18) = lhs - rhs;
lhs = y(18);
rhs = (1-params(9))*y(21)^(-params(6))+y(18)*params(9)*T(9);
residual(19) = lhs - rhs;
lhs = y(13)+y(14);
rhs = 1;
residual(20) = lhs - rhs;
lhs = y(3);
rhs = T(14)*T(15);
residual(21) = lhs - rhs;
lhs = log(y(19));
rhs = (1-params(16))*log(params(3))+log(y(19))*params(16)+x(1)+y(52)+y(43);
residual(22) = lhs - rhs;
lhs = y(39);
rhs = x(2);
residual(23) = lhs - rhs;
lhs = y(40);
rhs = y(39);
residual(24) = lhs - rhs;
lhs = y(41);
rhs = y(40);
residual(25) = lhs - rhs;
lhs = y(42);
rhs = y(41);
residual(26) = lhs - rhs;
lhs = y(43);
rhs = y(42);
residual(27) = lhs - rhs;
lhs = y(52);
rhs = x(4)+y(48);
residual(28) = lhs - rhs;
lhs = y(44);
rhs = x(3);
residual(29) = lhs - rhs;
lhs = y(45);
rhs = y(44);
residual(30) = lhs - rhs;
lhs = y(46);
rhs = y(45);
residual(31) = lhs - rhs;
lhs = y(47);
rhs = y(46);
residual(32) = lhs - rhs;
lhs = y(48);
rhs = y(47);
residual(33) = lhs - rhs;
lhs = y(23);
rhs = y(1)/y(11);
residual(34) = lhs - rhs;
lhs = y(24);
rhs = y(6)/y(11);
residual(35) = lhs - rhs;
lhs = y(25);
rhs = y(7)/(y(11)*4);
residual(36) = lhs - rhs;
lhs = y(26);
rhs = y(7)*y(13)/(y(11)*4);
residual(37) = lhs - rhs;
lhs = y(27);
rhs = y(7)*y(14)/(y(11)*4);
residual(38) = lhs - rhs;
lhs = y(28);
rhs = y(2)/(y(11)*4);
residual(39) = lhs - rhs;
lhs = y(38);
rhs = y(2)/(y(8)*y(9)*4);
residual(40) = lhs - rhs;
lhs = y(34);
rhs = (y(3)-1)*400;
residual(41) = lhs - rhs;
lhs = y(33);
rhs = (y(3)-1)*100;
residual(42) = lhs - rhs;
lhs = y(35);
rhs = 100*(T(2)-1);
residual(43) = lhs - rhs;
lhs = y(36);
rhs = 400*(T(2)-1);
residual(44) = lhs - rhs;
lhs = y(30);
rhs = 1;
residual(45) = lhs - rhs;
lhs = y(29);
rhs = 4;
residual(46) = lhs - rhs;
lhs = y(37);
rhs = y(15)*y(49)*y(50)*y(51);
residual(47) = lhs - rhs;
lhs = y(49);
rhs = y(15);
residual(48) = lhs - rhs;
lhs = y(50);
rhs = y(49);
residual(49) = lhs - rhs;
lhs = y(51);
rhs = y(50);
residual(50) = lhs - rhs;
lhs = y(60);
rhs = 1;
residual(51) = lhs - rhs;
lhs = y(61);
rhs = y(60);
residual(52) = lhs - rhs;
lhs = y(62);
rhs = y(61);
residual(53) = lhs - rhs;
lhs = y(63);
rhs = y(62);
residual(54) = lhs - rhs;
lhs = y(64);
rhs = y(63)*y(62)*y(60)*y(61);
residual(55) = lhs - rhs;
lhs = y(53);
rhs = y(8)*y(9);
residual(56) = lhs - rhs;
lhs = y(54);
rhs = y(4)*y(5);
residual(57) = lhs - rhs;
lhs = y(55);
rhs = y(7);
residual(58) = lhs - rhs;
lhs = y(56);
rhs = y(15);
residual(59) = lhs - rhs;
lhs = y(58);
rhs = (1-params(19))*y(20)*y(57)+y(58)*params(19)/y(15);
residual(60) = lhs - rhs;
lhs = y(57);
rhs = y(14)*y(55)*y(56)/y(3);
residual(61) = lhs - rhs;
residual(62) = y(10);
lhs = y(59);
rhs = y(2)-y(58);
residual(63) = lhs - rhs;
lhs = y(20);
rhs = T(17)*T(18);
residual(64) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
